Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 85959

Summary: vim breaks syntax highlight in the spec file
Product: [Retired] Red Hat Linux Reporter: Andy Shevchenko <andy>
Component: vimAssignee: Karsten Hopp <karsten>
Status: CLOSED RAWHIDE QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-06-03 11:12:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Andy Shevchenko 2003-03-11 15:08:35 UTC
Description of problem:
Vim breaks syntax highlight in the spec file. When vim occur the construction
like "%lang(fi)" the next lines do not highlight.


Version-Release number of selected component (if applicable):
vim was took from rawhide

VIM - Vi IMproved 6.1 (2002 Mar 24, compiled Feb 12 2003 07:42:12)
Included patches: 1, 3-15, 17-18, 20-22, 24-34, 36-43, 45-49, 51-72, 74-75, 77-8
3, 85-87, 89-92, 94-99, 101-118, 120-146, 150, 152-153, 157-183, 185-189, 191-19
5, 197, 200-201, 203-227, 231-239, 241-242, 244-252, 254-258, 260-289, 293-295,
297-299, 301-302, 305-310, 312-320
Compiled by <bugzilla@redhat.com>



How reproducible:
take the man.spec from rawhide man-1.5k-6 and type
vim man.spec

see following lines:
...
%lang(en) /usr/share/locale/en/man
%lang(es) %dir /usr/share/locale/es
%lang(es) /usr/share/locale/es/man
%lang(fi) %dir /usr/share/locale/fi
         ^^^^^^^^^^^ syntax highlighting breaks here
%lang(fi) /usr/share/locale/fi/man
%lang(fr) %dir /usr/share/locale/fr
%lang(fr) /usr/share/locale/fr/man
%lang(hr) %dir /usr/share/locale/hr
...